Bug 4113 - Password reset fails if journal contact is not set
Password reset fails if journal contact is not set
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Site
2.2.3
PC Mac OS X 10.3
: P5 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-05 10:30 PST by Matthew Crider
Modified: 2009-05-01 10:58 PDT (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OJS pre-2.2.3 (774 bytes, patch)
2009-03-05 10:30 PST, Matthew Crider
Details | Diff
Additional patch against OJS pre-2.2.4 CVS (764 bytes, patch)
2009-05-01 10:58 PDT, Matthew Crider
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Crider 2009-03-05 10:30:53 PST
Created attachment 1544 [details]
Patch against OJS pre-2.2.3

OJS-devel does not fail because PKPLoginHandler only uses the site contact address.
Comment 1 Alec Smecher 2009-03-09 07:14:57 PDT
Looks good, Matt -- go ahead.
Comment 2 Matthew Crider 2009-03-09 12:59:51 PDT
Fixed.
Comment 3 Matthew Crider 2009-05-01 10:58:54 PDT
Created attachment 1719 [details]
Additional patch against OJS pre-2.2.4 CVS

We should also check if supportEmail is set in the resetPassword function.  Fixed in CVS.